Subject: Re: [PATCH 0/9] Add a new --remerge-diff capability to show & log

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Dec 2021 16:33:56 -0800

"Elijah Newren via GitGitGadget" <[email-masked]> writes:

>  Documentation/diff-options.txt |  8 ++++
>  apply.c                        |  5 ++-
>  builtin/checkout.c             | 12 ++++--
>  builtin/log.c                  | 16 ++++++++
>  diff-merges.c                  | 12 ++++++
>  diff.c                         | 34 ++++++++++++++++-
>  diff.h                         |  1 +
>  ll-merge.c                     | 40 ++++++++++---------
>  ll-merge.h                     |  9 ++++-
>  log-tree.c                     | 70 ++++++++++++++++++++++++++++++++++
>  merge-blobs.c                  |  5 ++-
>  merge-ort.c                    | 49 +++++++++++++++++++++---
>  merge-ort.h                    | 10 +++++
>  merge-recursive.c              |  8 +++-
>  merge-recursive.h              |  1 +
>  notes-merge.c                  |  5 ++-
>  rerere.c                       | 10 +++--
>  revision.h                     |  6 ++-
>  t/t6404-recursive-merge.sh     |  9 ++++-
>  t/t6406-merge-attr.sh          |  9 ++++-
>  tmp-objdir.c                   |  5 +++
>  tmp-objdir.h                   |  6 +++
>  22 files changed, 288 insertions(+), 42 deletions(-)

It is somewhat disappointing that there is no test or documentation
update that show how a typical remerge-diff output should look like.
I was specifically interested in finding out how the "conflict hint
messages from merge backend in the diff header" output would look.

I left some messages here and there on the patches I read carefully,
and they looked mostly good.  I only skimmed 7 and 8 and did not
find anything glaringly wrong, but that wouldn't count as a review.

Thanks.